summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-text/convmv/convmv-2.01.ebuild')
-rw-r--r--app-text/convmv/convmv-2.01.ebuild33
1 files changed, 33 insertions, 0 deletions
diff --git a/app-text/convmv/convmv-2.01.ebuild b/app-text/convmv/convmv-2.01.ebuild
new file mode 100644
index 00000000000..6fad4bcbd99
--- /dev/null
+++ b/app-text/convmv/convmv-2.01.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DESCRIPTION="convert filenames to utf8 or any other charset"
+HOMEPAGE="http://j3e.de/linux/convmv"
+SRC_URI="http://j3e.de/linux/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
+IUSE=""
+
+DEPEND="dev-lang/perl"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ default
+ sed -i -e "1s|#!/usr|#!${EPREFIX}/usr|" convmv || die
+}
+
+src_install() {
+ emake DESTDIR="${D}" PREFIX="${EPREFIX}"/usr install
+ dodoc CREDITS Changes TODO VERSION
+}
+
+src_test() {
+ unpack ./testsuite.tar
+
+ cd "${S}"/suite
+ ./dotests.sh || die "Tests failed"
+}